# SpiderCSS

A fully customizable SASS & Flexbox framework for developing responsive web projects.

## Why choose SpiderCSS?
Spider CSS is not a framework with thousand of UI elements that you'll never use. Is a robust structure that allows you develop scalable and maintainable web projects with a gentle learning curve.

SpiderCSS is built with SASS, and thanks to its power the mostly code is autogenerated with your own preferences. Is highly configurable and easly extensible.


## Installing

### Install with NPM

```
npm install spidercss
```

### Install with Bower

```
bower install spidercss
```

After that, include it inside the `<head>` tag in your project

```html
<link rel="stylesheet" href="dist/spidercss.min.css" />
```

## Contributing

SpiderCSS is always under development. Feel free to send your requests with this recommendations.

## Project Structure

```
├── src/
│   ├── components
│   │   ├── _buttons.scss
│   │   ├── _forms.scss
│   │   ├── _tables.scss
│   ├── helpers
│   │   ├── _colors.scss
│   │   ├── _images.scss
│   │   ├── _typograhpy.scss
│   ├── layout
│   │   ├── _base.scss
│   │   ├── _grid.scss
│   ├── mixins
│   │   ├── _em.scss
│   │   ├── _flexbox.scss
│   │   ├── _font-size.scss
│   │   ├── _grid.scss
│   │   ├── _media-queries.scss
│   │   ├── _ratio.scss
│   │   ├── _rem.scss
│   │   ├── _tools.scss
│   ├── objects
│   │   ├── _equal-height.scss
│   │   ├── _media-object.scss
│   ├── reset
│   │   ├── _normalice.scss
│   ├── settings
│   │   ├── _functions.scss
│   │   ├── _setup.scss
│   ├── tools
│   │   ├── _animations.scss
│   ├── spidercss.scss
```

## License

Designed and developed in 2016 by Víctor Arenas. The code is released under the [MIT license](https://github.com/arenasv86/spidercss/blob/master/LICENSE).
